﻿// ==UserScript==
// @name        Courses U allergies
// @namespace   http://amnesix.eu
// @description Affiche une alerte lorsqu'un produit contient un des ingrédients interdits
// @include     https://www.coursesu.com/*
// @include     http://www.coursesu.com/*
// @version     2.1
// @grant       none
// @require http://files.amnesix.eu/~guillaume/allergies/Allergies-1.1.js
// ==/UserScript==
(function() {
  document.querySelectorAll('#listeInfosProduitsZone .infos').forEach(Allergies.process);

  var productModalZone = document.getElementById('productModalZone');
  var observer = new MutationObserver(function(mutations) {
    var composition = mutations[0].addedNodes[0].querySelector('.composition');
    Allergies.process(composition);
  });
  observer.observe(productModalZone, {childList: true});
})();
